progeny.Niche {galgo} | R Documentation

## Performs offspring, crossover, mutation, and elitism mechanism to generate the “evolved” niche

### Description

Performs offspring, crossover, mutation, and elitism mechanism to generate the “evolved” niche.

### Usage

    ## S3 method for class 'Niche'
    progeny(ni, immigration=NULL, ...)

### Arguments

`immigration` | Chromosomes wanted to immigrate (replacing) in the niche.

### Details

The basic idea to generate a progeny is a random selection biased toward the best chromosomes (see Goldberg). We implented this idea as a weighted probability for a chromosome to be selected using the formula:

p = scale * max(0,fitness - mean * mean(fitness))\^\ power

where scale, mean and power are the properties of the niche (`offspringScaleFactor, offspringMeanFactor and offspringPowerFactor` respectively). The default values were selected to be reasonably bias when the variance in the fitness are both high (at early generations) and low (in late generatios).

`offspring` is part of `progeny` method.

For related details For more information see `Niche`.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `*offspring()`, `*crossover()`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr
       ni <- Niche(chromosomes = newRandomCollection(cr, 10))
       ni
       ni$fitness <- 1:10/10 # tricky fitness, only for showing purposes
       progeny(ni)
       ni

[Package galgo version 1.4 Index]